### Method

# Phosh DBusSensorProxyCompass get_compass_heading

#### Declaration [src]

    gdouble
    phosh_dbus_sensor_proxy_compass_get_compass_heading (
      PhoshDBusSensorProxyCompass* object
    )

#### Description [src]

Gets the value of the “CompassHeading” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

This method is not directly available to language bindings.

Gets property | `Phosh.DBusSensorProxyCompass:compass-heading`

#### Return value

Type: `gdouble`

The property value.